package de.ibh.RandomArt;

public class RAOProduct extends AbstractRAOperatorA2 {
	public RAOProduct(RAPRNG prng) {
		super(prng);
	}

	@Override
	public double[] eval(final double x, final double y) {
		double[] rgb1 = ops.get(0).eval(x, y);
		double[] rgb2 = ops.get(1).eval(x, y);
		
		RAUtilities.checkRGB(rgb1);
		RAUtilities.checkRGB(rgb2);

		return new double[] {rgb1[0]*rgb2[0], rgb1[1]*rgb2[1], rgb1[2]*rgb2[2]};
	}
}
